#
# spec file for package cups-SUSE-ppds-dat (Version 1.1.20)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# usedforbuild    a2ps aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cups cups-client cups-drivers cups-drivers-stp cups-libs cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex foomatic-filters gawk gcc gdbm gdbm-devel gettext gettext-devel ghostscript-fonts-std ghostscript-library glib2 glibc glibc-devel glibc-locale gnome-filesystem gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libgimpprint libjpeg libnscd libpng libstdc++ libtiff libtool libxcrypt libxml2 libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openslp openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd tcpd-devel texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           cups-SUSE-ppds-dat
BuildRequires:  cups-drivers cups-drivers-stp tcpd-devel
License:        GPL
Group:          Hardware/Printing
Requires:       cups >= 1.1.20
Autoreqprov:    on
Version:        1.1.20
Release:        119.2
Url:            http://www.suse.de/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        Pregenerated ppds.dat for cupsd

%description
A pregenerated /etc/cups/ppds.dat for the current CUPS version. This
pregeneration should help avoid lengthy installation times and make
this process faster.



Authors:
--------
    Klaus Singvogel <kssingvo@suse.de>

%debug_package
%prep

%build
rm -f  %{_sysconfdir}/cups/ppds.dat
%{_sbindir}/cupsd -p

%install
[ "$RPM_BUILD_ROOT" != "" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/cups
cp /etc/cups/ppds.dat $RPM_BUILD_ROOT/%{_sysconfdir}/cups

%clean
[ "$RPM_BUILD_ROOT" != "" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%files
%defattr(-, root, root)
%config %attr(644,lp,lp) %{_sysconfdir}/cups/ppds.dat

%changelog -n cups-SUSE-ppds-dat
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Feb 09 2004 - kssingvo@suse.de
- tcpd added to neededforbuild (due to changes in package tcpd)
* Wed Dec 03 2003 - ro@suse.de
- added openslp to neededforbuild
* Wed Nov 26 2003 - kssingvo@suse.de
- first try
